com.lowagie.rups.model

## Class BackgroundTask.ThreadWrapper

- java.lang.Object
- - com.lowagie.rups.model.BackgroundTask.ThreadWrapper

Enclosing class:
  BackgroundTask

    private static class BackgroundTask.ThreadWrapper
    extends java.lang.Object

Inner class that holds the reference to the thread.

### Field Summary

Fields
`private java.lang.Thread` `thread`

### Constructor Summary

Constructors
Constructor and Description
`BackgroundTask.ThreadWrapper(java.lang.Thread t)`

### Method Summary

Methods
`(package private) void` `clear()`
`(package private) java.lang.Thread` `get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### thread

    private java.lang.Thread thread

### Constructor Detail

#### BackgroundTask.ThreadWrapper

    BackgroundTask.ThreadWrapper(java.lang.Thread t)

### Method Detail

#### get

    java.lang.Thread get()

#### clear

    void clear()